Summary:        Modularity metadata manipulation library
Name:           libmodulemd
Version:        2.13.0
Release:        3%{?dist}

License:        MIT and GPLv2+ and GPLv3
URL:            https://github.com/fedora-modularity/libmodulemd
Source0:        %{url}/releases/download/%{version}/modulemd-%{version}.tar.xz

Patch3000:      modulemd-2.13.0-Accept-18446744073709551615-buildorder-if-accept_ove.patch

BuildRequires:  meson >= 0.47
BuildRequires:  pkgconfig
BuildRequires:  gcc gcc-c++
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  pkgconfig(yaml-0.1)
BuildRequires:  rpm-devel file-devel
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-gobject-base
BuildRequires:  help2man


%description
The C language library for manipulating module metadata files.

%package -n python%{python3_pkgversion}-%{name}
Summary:        Python 3 bindings for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       python%{python3_pkgversion}-gobject-base
Requires:       %{py3_dist six}

%description -n python%{python3_pkgversion}-%{name}
Python %{python3_pkgversion} bindings for %{name}.

%package devel
Summary:        Development files for libmodulemd
Requires:       %{name} = %{version}-%{release}

%description devel
Development files for %{name}.

%prep
%autosetup -p1 -n modulemd-%{version}

%build
%meson \
    -Daccept_overflowed_buildorder=true \
    -Dlibmagic=enabled \
    -Drpmio=enabled \
    -Dskip_introspection=false \
    -Dtest_installed_lib=false \
    -Dwith_docs=false \
    -Dwith_manpages=enabled \
    -Dwith_py2=false \
    -Dwith_py3=true
%meson_build

%check
export LC_CTYPE=C.utf8
%{meson_test} -t 5


%install
%meson_install

%files
%license COPYING
%doc NEWS README.md
%{_bindir}/modulemd-validator
%{_libdir}/%{name}.so.2*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Modulemd-2.0.typelib
%{_mandir}/man1/modulemd-validator.1*

%files devel
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/modulemd-2.0.pc
%{_includedir}/modulemd-2.0/
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Modulemd-2.0.gir

%files -n python%{python3_pkgversion}-%{name}
%{python3_sitearch}/gi/overrides/

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.13.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.13.0-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Jul 22 2022 Maxon Xie <maxonxie@tencent.com> - 2.13.0-1
- Initial build
